Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225681 - Merge Review: desktop-file-utils
Summary: Merge Review: desktop-file-utils
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 468701
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:56 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-12 04:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-12 04:34:52 UTC
panemade: fedora-review+


Attachments (Terms of Use)
file spec patch to implement request of the review (deleted)
2008-10-17 22:21 UTC, Patrice Dumas
no flags Details | Diff
spec cleanup (deleted)
2010-09-27 10:21 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 17:56:46 UTC
Fedora Merge Review: desktop-file-utils

http://cvs.fedora.redhat.com/viewcvs/devel/desktop-file-utils/
Initial Owner: rstrode@redhat.com

Comment 1 Ray Strode [halfline] 2007-02-02 20:15:52 UTC
it's a little weird we BuildRequires: emacs.  I'm not sure why we do that.

We should probably minimally make it a Requires: and probably move the .el file
to a subpackage.

Comment 2 Ray Strode [halfline] 2007-02-02 20:18:59 UTC
well, it's only one file, let's not bother making the subpackage for now.

Comment 3 Ray Strode [halfline] 2007-02-02 20:19:52 UTC
(and drop the Requires: entirely)

Comment 4 Ray Strode [halfline] 2007-02-02 20:21:42 UTC
there's some cruft:

# We don't want the vfs module yet
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmenu*
/bin/rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf


I have no idea what that's about, but I'm dropping it.

Comment 5 Ray Strode [halfline] 2007-02-02 20:22:56 UTC
We don't install any .desktop files from desktop-file-utils, so it doesn't make
sense to call update-desktop-database from it.

Comment 6 Ray Strode [halfline] 2007-02-02 20:51:35 UTC
So it looks like we have to keep the emacs buildrequires to generate the .elc file. 

Comment 7 Parag AN(पराग) 2007-10-18 06:57:04 UTC
 1) packaging guidelines suggests use of make as 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e
 
 2) good to use %defattr(-,root,root,-)

 3) Do you want to solve following rpmlint messages?
desktop-file-utils.i386: W: obsolete-not-provided desktop-file-validator
desktop-file-utils.src:16: W: unversioned-explicit-obsoletes desktop-file-validator
  
  4) I saw new upstream release. you will like to update source.
Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.

Comment 8 Parag AN(पराग) 2008-01-11 12:19:13 UTC
Do anyone care to provide updates here? I see so many co-owners for this package.

Comment 9 Ray Strode [halfline] 2008-03-19 14:07:47 UTC
I've dropped the Obsoletes: desktop-file-validator  That's just legacy cruft.

desktop-file-utils is already in cvs.  this review is just a post core merge review.

Comment 10 Patrice Dumas 2008-10-17 18:07:42 UTC
(In reply to comment #9)

> desktop-file-utils is already in cvs. this review is just a post core merge review.

What does this exactly means? This package hasn't been reviewed already, 
it may not meet the criteria for inclusion in fedora.

* does desktop-mime-type.prov really belong to that package? Looks
  like it should better be in redhat-rpm-config.

* there are emacs guidelines
http://fedoraproject.org/wiki/Packaging/Emacs

* the following comment is strange, certainly a leftover:
# https://bugs.freedesktop.org/show_bug.cgi?id=12018

* please don't mention GNOME and KDE in description, better use 
  freedesktop or the like. All the window manager in fedora I know
  about use the .desktop files to create their menu.

* Is there a reason why %_smp_mflag isn't used?

* the source archive timestamp isn't kept, it is too late now, but
  please keep it next time
-rw-rw-r-- 1 dumas dumas 348871 Feb 11  2008 desktop-file-utils-0.15.tar.gz
-rw-rw-r-- 1 dumas dumas 348871 Mar  4  2008 desktop-file-utils-0.15.tar.gz-old

* source match upstream
2fe8ebe222fc33cd4a959415495b7eed  desktop-file-utils-0.15.tar.gz

Comment 11 Ray Strode [halfline] 2008-10-17 19:03:22 UTC
desktop-file-utils is already included in fedora.

Feel free to commit fixes for minor packaging issues you find with it.  The ACL should be open on the package.

Comment 12 Patrice Dumas 2008-10-17 22:21:06 UTC
Created attachment 320728 [details]
file spec patch to implement request of the review

Please review and tell me if you want the whole patch to be applied. If yes I'll apply and rebuild, if no, please apply what you want.

Comment 13 Ray Strode [halfline] 2008-10-18 04:43:24 UTC
Everything looks good but removing the .prov file.  If you think it should go in redhat-rpm-config or whatever, we should get it there first before taking it out here.

Comment 14 Patrice Dumas 2008-10-25 13:28:22 UTC
(In reply to comment #13)
> Everything looks good but removing the .prov file.  If you think it should go
> in redhat-rpm-config or whatever, we should get it there first before taking it
> out here.

Please submit it to redhat-rpm-config then, I'd prefer if you do it, since 
redhat-rpm-config are not very responsive to me.

Comment 15 Ray Strode [halfline] 2008-10-27 15:01:34 UTC
filed Bug 468701

Comment 16 Parag AN(पराग) 2010-09-27 10:21:54 UTC
Created attachment 449859 [details]
spec cleanup

halfline,
I think we have now official emacs guidelines. I have used them and added emacs addons subpackages here.

Can you please check attached patch if it looks good to commit so that this will get cleaned up?

Comment 17 Ray Strode [halfline] 2010-09-28 13:32:24 UTC
looks fine, feel free to commit it.

Comment 18 Parag AN(पराग) 2010-10-12 04:34:52 UTC
Thanks. I have committed above patch and built new package desktop-file-utils-0.16-2.fc15


Note You need to log in before you can comment on or make changes to this bug.